﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ch09_components_td
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
            alarmComponent.AlarmSounded += alarmComponent_AlarmSounded;
        }

        void alarmComponent_AlarmSounded(object sender, AlarmEventArgs e)
        {
            MessageBox.Show("Wake Up", String.Format("Alarm: {0}", e.Alarm.ToString()));
        }

        private void buttonSetAlarm_Click(object sender, EventArgs e)
        {
            alarmComponent.Alarm = dateTimePickerAlarm.Value;
        }

        private void buttonDelayAlarm_Click(object sender, EventArgs e)
        {
            double seconds = (double)this.numericUpDownDelay.Value;
            DateTime newAlarm = this.alarmComponent.DelayAlarm(seconds);
            this.dateTimePickerAlarm.Value = newAlarm;
        }
    }
}
